Create Customer Subscription
curl --request POST \
--url https://api.example.com/v1/customers/{Customer}/subscriptions \
--header 'Content-Type: application/json' \
--data '
{
"payment": {
"stored": {
"wallet": "<string>",
"initiated_by": "<string>"
}
},
"subscription_id": "<string>",
"start": "2023-11-07T05:31:56Z",
"skip_first_payment": true
}
'import requests
url = "https://api.example.com/v1/customers/{Customer}/subscriptions"
payload = {
"payment": { "stored": {
"wallet": "<string>",
"initiated_by": "<string>"
} },
"subscription_id": "<string>",
"start": "2023-11-07T05:31:56Z",
"skip_first_payment": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
payment: {stored: {wallet: '<string>', initiated_by: '<string>'}},
subscription_id: '<string>',
start: '2023-11-07T05:31:56Z',
skip_first_payment: true
})
};
fetch('https://api.example.com/v1/customers/{Customer}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer_subscription": {
"payment": {
"stored": {
"wallet": "<string>",
"initiated_by": "<string>"
}
},
"id": "<string>",
"subscription_id": "<string>",
"start": "2023-11-07T05:31:56Z",
"skip_first_payment": true
},
"request_id": "000000000000000000000",
"errors": [
{
"type": "<string>",
"message": null
}
]
}{
"errors": [
{
"type": "<string>",
"message": null
}
],
"request_id": "000000000000000000000"
}Customers Subscription
Create Customer Subscription
Create a customer subscription for a customer.
POST
/
v1
/
customers
/
{Customer}
/
subscriptions
Create Customer Subscription
Path Parameters
Customer is the Ecrypt customer identifier.
Example: 00000000-0000-0000-0000-000000000000
Required string length:
8 - 64Pattern:
^[0-9A-Za-z-]*$Body
application/jsontext/jsonapplication/*+json
⌘I